Bug 1472806 - <Choose> found as option in drop down service dialogs
<Choose> found as option in drop down service dialogs
Status: ON_DEV
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.7.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.7.4
Assigned To: eclarizi
Shveta
dialog
: ZStream
Depends On: 1462375
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-19 08:34 EDT by Satoe Imaishi
Modified: 2017-08-09 07:48 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1462375
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-07-25 17:16:09 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/53e5e173cdfbbedbac15037313495db8c308833b

commit 53e5e173cdfbbedbac15037313495db8c308833b
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Jul 3 13:57:08 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jul 25 17:08:18 2017 -0400

    Merge pull request #15456 from eclarizio/BZ1462375
    
    Fix for <Choose> found as option in drop down service dialogs
    (cherry picked from commit 0cbb33deb054ac05f7107677323e9d0bbee008c0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1472806

 app/models/dialog_field_radio_button.rb      |  2 +-
 app/models/dialog_field_sorted_item.rb       | 23 ++++++--
 spec/models/dialog_field_sorted_item_spec.rb | 81 ++++++++++++++++++----------
 3 files changed, 73 insertions(+), 33 deletions(-)
Comment 4 CFME Bot 2017-07-27 16:56:00 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/8eba563cd0153271f3413bde6bc4b622dc7d4239

commit 8eba563cd0153271f3413bde6bc4b622dc7d4239
Author:     Erik Clarizio <eclarizi@redhat.com>
AuthorDate: Thu Jul 27 07:39:24 2017 -0700
Commit:     Erik Clarizio <eclarizi@redhat.com>
CommitDate: Thu Jul 27 10:55:56 2017 -0700

    Fix broken specs expecting 'Choose' options
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1472806

 spec/services/ansible_tower_job_template_dialog_service_spec.rb | 4 ++--
 spec/services/orchestration_template_dialog_service_spec.rb     | 7 +++----
 2 files changed, 5 insertions(+), 6 deletions(-)
Comment 6 CFME Bot 2017-08-09 07:48:30 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/3519d22b8434df96c67e6108d48b5747ea6dffbc

commit 3519d22b8434df96c67e6108d48b5747ea6dffbc
Author:     Erik Clarizio <eclarizio@gmail.com>
AuthorDate: Fri Aug 4 10:18:14 2017 -0700
Commit:     Erik Clarizio <eclarizio@gmail.com>
CommitDate: Mon Aug 7 08:01:29 2017 -0700

    Fix broken specs expecting a 'Choose' option
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1472806

 .../ansible_tower_job_template_dialog_service_spec.rb       |  4 ++--
 spec/services/orchestration_template_dialog_service_spec.rb | 13 ++++++-------
 2 files changed, 8 insertions(+), 9 deletions(-)

Note You need to log in before you can comment on or make changes to this bug.